%define subrel 1
Summary:	Simple monitor config tool for LXDE
Name:     	lxrandr
Version:	0.1.1
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Other
Source0: 	http://dfn.dl.sourceforge.net/sourceforge/lxde/%name-%version.tar.gz
# icons "stolen" from oxygen icon theme
Source1:        %{name}-32.png
Source2:        %{name}-48.png
Source3:        %{name}-16.png
URL:		http://lxde.sourceforge.net/
BuildRequires:	gtk+2-devel
Requires:	xrandr

%description
This is a very basic monitor config tool utilizing XRandR. It can let you
change the screen resolution on the fly. Besides, when you run lxrandr
with external monitor connected, its GUI will change, and show you some 
quick options to get your projector working correctly.

%prep
%setup -q

%build
%configure2_5x
# workaround build loop
touch -r po/Makefile po/stamp-it
%make

%install
rm -rf %{buildroot}
%makeinstall_std
mkdir -p %{buildroot}%{_iconsdir}
mkdir -p %{buildroot}%{_liconsdir}
mkdir -p %{buildroot}%{_miconsdir}
install -m0644 %{SOURCE1} %{buildroot}%{_iconsdir}/%{name}.png
install -m0644 %{SOURCE2} %{buildroot}%{_liconsdir}/%{name}.png
install -m0644 %{SOURCE3} %{buildroot}%{_miconsdir}/%{name}.png
# fix icon entry in desktop file
rm -f %{buildroot}%{_datadir}/applications/%{name}.desktop

cat  > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Monitor Settings
Name[zh_TW]=螢幕設定
Name[fi]=Näytön asetukset
Name[et]=Monitori sätted
Name[ja]=モニタの設定
Comment=Change screen resolution and configure external monitors
Comment[zh_TW]=變更螢幕解析度以及設定外接顯示器
Comment[fi]=Muuta näytön tarkkuutta ja aseta ulkoiset näytöt
Comment[et]=Muuda ekraani eraldusvõimet ja seadista väliseid kuvareid
Comment[ja]=解像度の変更と外部モニタの設定を行います
Exec=lxrandr
Icon=%{name}
Encoding=UTF-8
Type=Application
Categories=Settings;
EOF

%{find_lang} %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/%name
%{_mandir}/man1/*.1.*
%{_datadir}/applications/*.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png



%changelog

* Wed Feb 01 2012 obgr_seneca <obgr_seneca> 0.1.1-2.1.mga1
+ Revision: 203876
- don't use desktop-file-install, it's missing features in Mga1
- add custom desktop file and remove upstream one
- fic desktop file utils call
- added icons and fixed desktop file (bug 3135)

* Mon Feb 07 2011 ahmad <ahmad> 0.1.1-2.mga1
+ Revision: 48723
- drop old/unneeded scriptlets
- workaround build loop
- imported package lxrandr


* Fri Jul 10 2009 Funda Wang <fwang@mandriva.org> 0.1.1-1mdv2010.0
+ Revision: 394053
- fix file list
- new version 0.1.1

* Sun Jun 22 2008 Funda Wang <fwang@mandriva.org> 0.1-1mdv2009.0
+ Revision: 227910
- import lxrandr


